package com.zg.project.Inventory.AutoInventory.service;

public interface IRfidService {

    /**
     * 建立设备连接
     */
    boolean connect(String deviceId, String ip, int port);

    /**
     * 开始扫描标签
     */
    boolean startScan(String deviceId);

    /**
     * 停止扫描标签
     */
    boolean stopScan(String deviceId);

    /**
     * 断开设备连接
     */
    void disconnect(String deviceId);

    /**
     * 判断设备是否连接
     */
    boolean isConnected(String deviceId);
}

